summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorxengineering <me@xengineering.eu>2023-02-04 11:05:10 +0100
committerxengineering <me@xengineering.eu>2023-02-04 11:05:10 +0100
commite33ceb594329ae21c841922a85f232102297b1d2 (patch)
tree44bba10401d0c25e905ce5982707d1eb9ba2e6c9
parent479c77a44ed3bae36cc61caf40cf8759fb42dc36 (diff)
downloadscripts-e33ceb594329ae21c841922a85f232102297b1d2.tar
scripts-e33ceb594329ae21c841922a85f232102297b1d2.tar.zst
scripts-e33ceb594329ae21c841922a85f232102297b1d2.zip
Replace which by command -v
-rwxr-xr-xradio.sh2
-rwxr-xr-xtv.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/radio.sh b/radio.sh
index cecd9d0..c8526c8 100755
--- a/radio.sh
+++ b/radio.sh
@@ -13,7 +13,7 @@ station="$1"
trap 'exit 0' 2 15
# check dependency and warn user if necessary
-if ! which mpv > /dev/null 2>&1
+if ! command -v mpv > /dev/null 2>&1
then
echo 'You have to install mpv (e.g. sudo pacman -S mpv mpv-mpris)'
exit 1
diff --git a/tv.sh b/tv.sh
index fdfc70e..69b6bae 100755
--- a/tv.sh
+++ b/tv.sh
@@ -13,7 +13,7 @@ station="$1"
trap 'exit 0' 2 15
# check dependency and warn user if necessary
-if ! which mpv > /dev/null 2>&1
+if ! command -v mpv > /dev/null 2>&1
then
echo 'You have to install mpv (e.g. sudo pacman -S mpv mpv-mpris)'
exit 1